<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                             http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <groupId>edu.bbte.mavenex</groupId>
    <artifactId>mavenex-dependencies</artifactId>
    <version>1.0.0-SNAPSHOT</version>

    <name>MavenEx Dependencies</name>
    <description>Példa Maven függőségekre és hatókörökre</description>

    <properties>
        <maven.compiler.target>17</maven.compiler.target>
        <maven.compiler.source>17</maven.compiler.source>
    </properties>

    <!-- Függőségek felsorolása a dependencies-ben -->
    <dependencies>
        <dependency>
            <!-- Ugyanazon formátumú ID mint a mi modulunk -->
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>2.0.7</version>
        </dependency>

        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <version>1.4.11</version>
            <!-- opcionális hatókör, alapértelmezetten compile -->
            <!-- runtime = kompiláláskor nem látható -->
            <scope>runtime</scope>
        </dependency>

        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-engine</artifactId>
            <version>5.10.2</version>
            <!-- csak tesztekből használható -->
            <scope>test</scope>
        </dependency>
    </dependencies>

</project>
